[Swift-commit] r6045 - in SwiftApps/SciColSim/benchmarks: . conf

davidk at ci.uchicago.edu davidk at ci.uchicago.edu
Fri Nov 16 16:24:06 CST 2012


Author: davidk
Date: 2012-11-16 16:24:06 -0600 (Fri, 16 Nov 2012)
New Revision: 6045

Added:
   SwiftApps/SciColSim/benchmarks/conf/beagle.cf
   SwiftApps/SciColSim/benchmarks/conf/beagle.xml
Modified:
   SwiftApps/SciColSim/benchmarks/benchmark.sh
Log:
Use coreutils timeout for handling time limits
Configuration files for beagle


Modified: SwiftApps/SciColSim/benchmarks/benchmark.sh
===================================================================
--- SwiftApps/SciColSim/benchmarks/benchmark.sh	2012-11-15 04:28:09 UTC (rev 6044)
+++ SwiftApps/SciColSim/benchmarks/benchmark.sh	2012-11-16 22:24:06 UTC (rev 6045)
@@ -1,30 +1,19 @@
 #!/bin/bash -x
 
-cleanup()
-{
-    kill -s 0 $a && echo -1  >> $OUTPUT
-    trap - ALRM 
-    kill -ALRM $a 2>/dev/null
-    kill $! 2>/dev/null && 
-    exit 0 
-}
-
-watchit()
-{
-    trap "cleanup" ALRM
-    sleep $1 & wait
-    kill -ALRM $$
-}
-
 # Create run directory
 ORIGDIR=$PWD
 OUTPUT=$ORIGDIR/$3
-cd /home/davidk/SciColSim
+cd $HOME/SciColSim
 
-watchit $2& a=$!
-trap "cleanup" ALRM INT
-echo -n "$1 " > $OUTPUT
-./testgraph.py $1 |grep time | awk '{print $5}' >> $OUTPUT & wait $!; RET=$?
-kill -ALRM $a
-wait $a
-exit $RET
+if [ -f "bestdb.txt" ]; then
+   rm -f bestdb.txt
+fi
+
+export OMP_NUM_THREADS=1 
+result=$( bin/timeout $2 ./graphsim 0 0 0 0 0 $1 40000 20 1 2 1 2. 0.01 1 0.3 2.3 0 0 0 0 0 m 1 | grep time | awk '{print $5}' )
+
+if [ -n "$result" ]; then
+   echo $1 $result > $OUTPUT
+else
+   echo "$1 -1" > $OUTPUT
+fi

Added: SwiftApps/SciColSim/benchmarks/conf/beagle.cf
===================================================================
--- SwiftApps/SciColSim/benchmarks/conf/beagle.cf	                        (rev 0)
+++ SwiftApps/SciColSim/benchmarks/conf/beagle.cf	2012-11-16 22:24:06 UTC (rev 6045)
@@ -0,0 +1,10 @@
+wrapperlog.always.transfer=true
+sitedir.keep=true
+execution.retries=5
+lazy.errors=true
+status.mode=provider
+use.provider.staging=false
+provider.staging.pin.swiftfiles=false
+
+#app beagle benchmark=$PWD/benchmark.sh
+#app localhost plot=$PWD/plot.sh

Added: SwiftApps/SciColSim/benchmarks/conf/beagle.xml
===================================================================
--- SwiftApps/SciColSim/benchmarks/conf/beagle.xml	                        (rev 0)
+++ SwiftApps/SciColSim/benchmarks/conf/beagle.xml	2012-11-16 22:24:06 UTC (rev 6045)
@@ -0,0 +1,25 @@
+<config>
+
+  <pool handle="localhost" >
+    <execution provider="local" url="none" />
+    <profile namespace="karajan" key="jobThrottle">0.09</profile>
+    <profile namespace="karajan" key="initialScore">10000</profile>
+    <filesystem provider="local"/>
+    <workdirectory>_WORK_</workdirectory>
+  </pool>
+
+  <pool handle="beagle">
+    <execution provider="pbs" jobmanager="local:pbs"/>
+    <profile namespace="globus" key="jobsPerNode">2</profile>
+    <profile namespace="globus" key="providerAttributes">pbs.aprun;pbs.mpp;depth=24</profile>
+    <profile namespace="globus" key="maxWallTime">24:00:00</profile>
+    <profile namespace="karajan" key="jobThrottle">12.00</profile>
+    <profile namespace="karajan" key="initialScore">10000</profile>
+    <profile namespace="globus" key="project">CI-MCB000119</profile>
+    <!-- <profile namespace="globus" key="queue">scalability</profile> -->
+    <filesystem provider="local"/>
+    <workdirectory>_WORK_</workdirectory>
+  </pool>
+
+</config>
+




More information about the Swift-commit mailing list